<template lang="pug">
div
	q-breadcrumbs(gutter="sm").q-mb-lg
		q-breadcrumbs-el(icon="home" to="/")
		q-breadcrumbs-el(label="Кухня" to="/kitchen")
		q-breadcrumbs-el(label="Технологические карты")

	.inner
		table-kitchen-techMaps

</template>

<script lang="ts">
	import { defineComponent, onMounted } from 'vue'
	import TableKitchenTechMaps from '@/pages/kitchen/children/techmaps/TableKitchenTechMaps.vue'
	import { useKitchenTechMapsStore } from '@/pages/kitchen/children/techmaps/store'
	export default defineComponent({
		name: 'PageKitchenTechMaps',

		components: {
			TableKitchenTechMaps,
		},

		setup() {
			const store = useKitchenTechMapsStore()

			onMounted(() => {
				store.$reset()
			})
		},
	})
</script>
